Skip to main content
`Ctrl`+`K`

# PlanarEmbedding.connect_components

PlanarEmbedding.connect_components(v, w)

  Adds half-edges for (v, w) and (w, v) at some position.

  This method should only be called if v and w are in different components, or it might break the embedding. This especially means that if `connect_components(v, w)` is called it is not allowed to call `connect_components(w, v)` afterwards. The neighbor orientations in both directions are all set correctly after the first call.

  Parameters:
    v node
    w node

  See also

  `add_half_edge`